統合アクティブ化エラーの取得
get
/ic/api/integration/v1/integrations/{id}/activationErrors
指定されたIDとの統合の統合アクティブ化エラーを取得します。
リクエスト
パス・パラメータ
- id(required): string
統合コンポジット識別子 IDは|(縦線)文字で区切られたコードおよびバージョンで構成されます。 フォーマット: code%7Cversion. 例: SC2RN%7C01.00.0000。 cURLを使用する場合には、縦線のかわりに%7Cを使用します。
問合せパラメータ
- integrationInstance(required): string
これはサービス・インスタンスの名前です。 この値は、サービス・インスタンス・フィールドで指定した情報ページから取得できます。
この操作のリクエスト本文がありません。
トップに戻るレスポンス
サポートされているメディア・タイプ
- application/json; charset=utf-8
200レスポンス
操作の成功
ルート・スキーマ : IntegrationActivationErrorRs
型:
ソースを表示
object-
code: string
統合コード
-
errorMessage: string
統合アクティブ化エラー・メッセージ
-
hasErrors: boolean
エラーが存在するかどうかを確認するフラグ
-
shortSummaryMessage: string
概要メッセージ
-
version: string
統合バージョン
404レスポンス
統合が見つかりません
412レスポンス
事前条件は失敗しました
500レスポンス
サーバー・エラー
例
次の例は、cURLを使用してRESTリソースに対するGETリクエストを発行することによって、統合アクティブ化エラーを取得する方法を示しています。 cURLの詳細は、「cURLの使用」を参照してください。 エンドポイントURLの構造の詳細は、「リクエストの送信」を参照してください。
例: 統合のアクティブ化エラーの取得HELLO_WORLD| 01.02.0000
Request:
IDはcode%7Cversionで、%7Cはエンコードされた | (縦線)です。
curl -X GET -H 'Authorization: Bearer access_token' -H "Accept:application/json"https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/integrations/HELLO_WORLD%7C01.02.0000/activationErrors?integrationInstance=service-instance
レスポンス本文:
JSON形式のレスポンス本文のコンテンツの例を次に示します。
{ "code": "HELLO_WORLD", "hasErrors": true, "errorMessage": "<br> Integration HELLO_WORLD(1.2) cannot be activated.<br> XML parsing failed because xpath expression
\"0.0\" used in <case> is not a boolean expression. <br><br><b>How to fix</b><br><br>1. Correct the condition in the XPath expression to evaluate to a Boolean value. A
Boolean expression cannot contain a float value.<br> 2. Retry the activation.<br><br><b>For more help</b><br><ul><li>To track this issue, a unique ID \"HELLO_WORLD_01.02.0000_05072022121845\" has been created. Please use this ID for all
communications with Oracle support.</li><li>For additional suggestions, search the <a target=\"_blank\" style=\"cursor:pointer !important\"
href=\"https://cloudcustomerconnect.oracle.com/resources/704fc67d61/search?find=OIC_ACTIVATION_USER_XPATH_INVALID_BOOLEAN_EXPRESSION\">Oracle Cloud Customer Connect</a> forum for error code OIC_ACTIVATION_USER_XPATH_INVALID_BOOLEAN_EXPRESSION.</li><li>For more tips, see <a
target=\"_blank\" style=\"cursor:pointer !important\" href=\"https://docs.oracle.com/en/cloud/paas/integration-cloud/integrations-user/troubleshoot-integration-activations.html\">Troubleshoot
Integration Activations</a>.</li></ul>", "version": "01.02.0000", "shortSummaryMessage": " XML parsing failed because xpath expression \"0.0\" used in <case> is not a boolean expression. "}